RDKit::MolHash::HashSet Struct Reference

`#include <MolHash.h>`

## Public Member Functions

| HashSet ()

## Public Attributes

boost::uint16_t | Version
boost::uint16_t | Reserved
boost::uint16_t | NumAtoms
boost::uint16_t | NumBonds
boost::uint32_t | FormulaCRC32
HashCodeType | NonChiralAtomsHash
HashCodeType | NonChiralBondsHash
HashCodeType | ChiralAtomsHash
HashCodeType | ChiralBondsHash
HashCodeType | ChiralityHash

## Detailed Description

Definition at line 55 of file MolHash.h.

## Constructor & Destructor Documentation

RDKit::MolHash::HashSet::HashSet | ( |  | ) |

inline

Definition at line 68 of file MolHash.h.

## Member Data Documentation

HashCodeType RDKit::MolHash::HashSet::ChiralAtomsHash

Definition at line 64 of file MolHash.h.

HashCodeType RDKit::MolHash::HashSet::ChiralBondsHash

Definition at line 65 of file MolHash.h.

HashCodeType RDKit::MolHash::HashSet::ChiralityHash

Definition at line 66 of file MolHash.h.

boost::uint32_t RDKit::MolHash::HashSet::FormulaCRC32

Definition at line 61 of file MolHash.h.

HashCodeType RDKit::MolHash::HashSet::NonChiralAtomsHash

Definition at line 62 of file MolHash.h.

HashCodeType RDKit::MolHash::HashSet::NonChiralBondsHash

Definition at line 63 of file MolHash.h.

boost::uint16_t RDKit::MolHash::HashSet::NumAtoms

Definition at line 59 of file MolHash.h.

boost::uint16_t RDKit::MolHash::HashSet::NumBonds

Definition at line 60 of file MolHash.h.

boost::uint16_t RDKit::MolHash::HashSet::Reserved

Definition at line 58 of file MolHash.h.

boost::uint16_t RDKit::MolHash::HashSet::Version

Definition at line 57 of file MolHash.h.

The documentation for this struct was generated from the following file:

- MolHash.h